load_tga_pf(3)

NAME
load_tga_pf - Packfile version of load_tga. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *load_tga_pf(PACKFILE *f, RGB *pal);

DESCRIPTION
A version of load_tga() which reads from a packfile. Example:
   PACKFILE *packfile;
   BITMAP *bmp;

   packfile = pack_fopen("mybitmap.tga", F_READ);
   if (!packfile)
      abort_on_error("Couldn't open mybitmap.tga");

   bmp = load_bmp_pf(packfile, pal);
   if (!bmp)
      abort_on_error("Error loading mybitmap.tga");

RETURN VALUE
Returns a pointer to the bitmap or NULL on error. Remember that you are responsible for destroying the bitmap when you are finished with it to avoid memory leaks.

SEE ALSO
load_tga(3), expackf(3)